## helma.objectmodel
Class DatabaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  helma.objectmodel.DatabaseException

All Implemented Interfaces:
  java.io.Serializable

    public class DatabaseException

extends java.lang.RuntimeException

Thrown on any kind of Database-Error

See Also:
  Serialized Form

Constructor Summary
`DatabaseException(java.lang.String msg)` Creates a new DatabaseException object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseException

    public DatabaseException(java.lang.String msg)

  Creates a new DatabaseException object.

  Parameters:
    `msg` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.